# Uses of Enum
org.apache.sling.installer.api.event.InstallationEvent.TYPE

Packages that use InstallationEvent.TYPE
Package
Description
org.apache.sling.installer.api.event

## Uses of InstallationEvent.TYPE in org.apache.sling.installer.api.event

Methods in org.apache.sling.installer.api.event that return InstallationEvent.TYPE
Modifier and Type
Method
Description
`InstallationEvent.TYPE`
InstallationEvent.`getType()`
Return the event type.
`static InstallationEvent.TYPE`
InstallationEvent.TYPE.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static InstallationEvent.TYPE[]`
InstallationEvent.TYPE.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.